Callgrind
1
November 18, 2005

# callgrind

calls `valgrind` with the callgrind tool

        callgrind
        options
        progs-and-args

## Description

`Callgrind` is a profiling tool similar to gprof, but by being able to observe a program run in great detail - using Valgrind - it can give much more information. The binary does not have to be prepared for profiling with `callgrind` in any special way. Still, it is recommended to compile with debug information.

`Callgrind` builds up the call graph of a program while it is running, and optionally does cache simulation. The collected profiling data can be stored into an output file multiple times in a program run, optionally separately for every thread in the case of multithreaded code. For interactive inspection and control, see `callgrind_control`. The data produced (callgrind.out.<pid>) can be analysed with `callgrind_annotate` or better with the graphical profile visualization `KCachegrind`. Further documentation can be found in HTML format either on your filesystem: `&cl-doc-path;` or online at `&cl-doc-url;`.

## Options

This program follows the usual GNU command line syntax, with long options starting with two dashes ('--').

## See Also

`callgrind_control`, `callgrind_annotate`, `&cl-doc-path;`

## Author

This manual page was written by Josef Weidendorfer <&cl-email;>.

## Copyright

Copyright © &cl-lifespan; Josef Weidendorfer

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.